package MT::Plugin::Cuttings;
use strict;

use base qw( MT::XPlugin );

use vars qw( $VERSION );
$VERSION = '1.0B1';

#--- meta info

sub key         { __PACKAGE__ }
sub name        { 'Cuttings.App' }
sub author_name { 'Appnel Solutions' }
sub author_link { 'http://www.appnel.com/' }
sub version     { $VERSION }
sub plugin_link { 'http://code.appnel.com/cuttings-app' }
sub doc_link    { 'http://code.appnel.com/docs/cuttingsapp_manual.html' }

sub description {
    return <<DESC;
A plugin for publishing author archives pages in Movable Type weblogs. A cuttings file is newspaper parlance for a collection of articles.
DESC
}

#--- methods

# this does not have an accessor in MT::Plugin so...
sub init {
    $_[0]->{blog_config_template} = 'weblog_config.tmpl';
}

sub load_config {
    my $plugin = shift;
    my ($param, $scope) = @_;
    return if $scope eq 'system';
    $plugin->SUPER::load_config(@_);
    my $blog_id = $scope;
    $blog_id =~ s{\D}{}g;
    $param->{blog_id} = $blog_id;
    require MT::Template;
    my @tmpls = MT::Template->load({blog_id => $blog_id, type => 'archive'});
    my @list;
    map {
        my $checked = $param->{'ArchiveTemplateID_' . $_->id};
        push @list, {id => $_->id, name => $_->name, checked => $checked}
    } @tmpls;
    $param->{archive_tmpls} = \@list;
}

1;
