package MT::Plugin::Cuttings::ConfigMgr;
use strict;

use base qw( MT::ConfigMgr::Plugin );

sub init {
    my $cfg = shift;
    $cfg->define('ArchiveTemplateID');
    $cfg->define('FilenameTemplate');    # default handled by accessor
}

# A special accessor is required because at init we don't know the blog id yet.
sub FilenameTemplate {
    my ($cfg, $val) = @_;
    $cfg->set('FilenameTemplate', $val) if defined $val;
    $val ||= $cfg->get('FilenameTemplate');
    unless (defined $val && $val ne '') {
        require MT::Blog;
        my $blog = MT::Blog->load($cfg->key, {cached_ok => 1}) or return;
        my $ext = $blog->file_extension || 'html';
        $val = '<$MTAuthorUsername dirify="1"$>.' . $ext;
    }
    $val;
}

1;
