<?php
/**
* @version $Id: admin.typedcontent.html.php 5948 2006-12-06 22:42:31Z facedancer $
* @package Mitra
* @subpackage Content
* @copyright Copyleft (C) 2006 CMS Club team. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* Mitra is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

/**
* @package Mitra
* @subpackage Content
*/
class HTML_typedcontent {

	/**
	* Writes a list of the content items
	* @param array An array of content objects
	*/
	function showContent( &$rows, &$pageNav, $option, $search, &$lists ) {
		global $my, $acl, $database, $adminLanguage;

		mosCommonHTML::loadOverlib();
		?>
		<form action="index2.php" method="post" name="adminForm">

		<table class="adminheading">
		<tr>
			<th class="edit"><?php echo $adminLanguage->A_COMP_TYPED_STATIC;?></th>
			<td><?php echo $adminLanguage->A_COMP_FILTER;?>:&nbsp;			</td>
			<td>
			<input type="text" name="search" value="<?php echo htmlspecialchars( $search );?>" class="text_area" onChange="document.adminForm.submit();" />
			</td>
			<td>
			&nbsp;&nbsp;&nbsp;<?php echo $adminLanguage->A_COMP_FRONT_ORDER;?>:&nbsp;			</td>
			<td>
			<?php echo $lists['order']; ?>
			</td>
			<td width="right">
			<?php echo $lists['authorid'];?>
			</td>
		</tr>
		</table>

		<table class="adminlist">
		<tr>
			<th width="5"><?php echo $adminLanguage->A_COMP_NB;?></th>
			<th width="5px">
			<input type="checkbox" name="toggle" value="" onClick="checkAll(<?php echo count( $rows ); ?>);" />
			</th>
			<th class="title"><?php echo $adminLanguage->A_COMP_TITLE;?></th>
			<th width="5%"><?php echo $adminLanguage->A_COMP_PUBLISHED;?></th>
			<th width="2%"><?php echo $adminLanguage->A_COMP_ORDER;?></th>
			<th width="1%">
			<a href="javascript: saveorder( <?php echo count( $rows )-1; ?> )"><img src="images/filesave.png" border="0" width="16" height="16" alt="Save Order" /></a>
			</th>
			<th width="10%"><?php echo $adminLanguage->A_COMP_ACCESS;?></th>
			<th width="5%"><?php echo $adminLanguage->A_COMP_ID;?></th>
			<th width="1%" align="left"><?php echo $adminLanguage->A_COMP_TYPED_LINKS;?></th>
			<th width="20%" align="left"><?php echo $adminLanguage->A_COMP_AUTHOR;?></th>
			<th align="center" ><?php echo $adminLanguage->A_COMP_DATE;?></th>
		</tr>
		<?php
		$k = 0;
		$nullDate = $database->getNullDate();
		for ($i=0, $n=count( $rows ); $i < $n; $i++) {
			$row = &$rows[$i];
			mosMakeHtmlSafe($row);

			$now = _CURRENT_SERVER_TIME;
			if ( $now <= $row->publish_up && $row->state == 1 ) {
			// Published
				$img = 'publish_y.png';
				$alt = 'Published';
			} else if ( ( $now <= $row->publish_down || $row->publish_down == $nullDate ) && $row->state == 1 ) {
			// Pending
				$img = 'publish_g.png';
				$alt = 'Published';
			} else if ( $now > $row->publish_down && $row->state == 1 ) {
			// Expired
				$img = 'publish_r.png';
				$alt = 'Expired';
			} elseif ( $row->state == 0 ) {
			// Unpublished
				$img = 'publish_x.png';
				$alt = 'Unpublished';
			}

			// correct times to include server offset info
			$row->publish_up 	= mosFormatEnglishDate( $row->publish_up, _CURRENT_SERVER_TIME_FORMAT );
			if (trim( $row->publish_down ) == $nullDate || trim( $row->publish_down ) == '' || trim( $row->publish_down ) == '-' ) {
				$row->publish_down = 'Never';
			}
			$row->publish_down 	= mosFormatEnglishDate( $row->publish_down, _CURRENT_SERVER_TIME_FORMAT );

			$times = '';
			if ($row->publish_up == $nullDate) {
				$times .= "<tr><td>Start: Always</td></tr>";
			} else {
				$times .= "<tr><td>Start: $row->publish_up</td></tr>";
			}
			if ($row->publish_down == $nullDate || $row->publish_down == 'Never') {
				$times .= "<tr><td>Finish: No Expiry</td></tr>";
			} else {
				$times .= "<tr><td>Finish: $row->publish_down</td></tr>";
			}

			if ( !$row->access ) {
				$color_access = 'style="color: green;"';
				$task_access = 'accessregistered';
			} else if ( $row->access == 1 ) {
				$color_access = 'style="color: red;"';
				$task_access = 'accessspecial';
			} else {
				$color_access = 'style="color: black;"';
				$task_access = 'accesspublic';
			}

			$link 		= 'index2.php?option=com_typedcontent&task=edit&hidemainmenu=1&id='. $row->id;

			$checked 	= mosCommonHTML::CheckedOutProcessing( $row, $i );

			if ( $acl->acl_check( 'administration', 'manage', 'users', $my->usertype, 'components', 'com_users' ) ) {
				if ( $row->created_by_alias ) {
					$author = $row->created_by_alias;
				} else {
					$linkA 	= 'index2.php?option=com_users&task=editA&hidemainmenu=1&id='. $row->created_by;
					$author = '<a href="'. $linkA .'" title="Edit User">'. $row->creator .'</a>';
				}
			} else {
				if ( $row->created_by_alias ) {
					$author = $row->created_by_alias;
				} else {
					$author = $row->creator;
				}
			}

			$date = mosFormatDate( $row->created, _DATE_FORMAT_LC );
			?>
			<tr class="<?php echo "row$k"; ?>">
				<td>
				<?php echo $pageNav->rowNumber( $i ); ?>
				</td>
				<td>
				<?php echo $checked; ?>
				</td>
				<td>
				<?php
				if ( $row->checked_out && ( $row->checked_out != $my->id ) ) {
					echo $row->title;
					if ( $row->title_alias ) {
						echo ' (<i>'. $row->title_alias .'</i>)';
					}
				} else {
					?>
					<a href="<?php echo $link; ?>" title="Edit Static Content">
					<?php
					echo $row->title;
					if ( $row->title_alias ) {
						echo ' (<i>'. $row->title_alias .'</i>)';
					}
					?>
					</a>
					<?php
				}
				?>
				</td>
				<?php
				if ( $times ) {
					?>
					<td align="center">
					<a href="javascript: void(0);" onMouseOver="return overlib('<table><?php echo $times; ?></table>', CAPTION, 'Publish Information', BELOW, RIGHT);" onMouseOut="return nd();" onClick="return listItemTask('cb<?php echo $i;?>','<?php echo $row->state ? "unpublish" : "publish";?>')">
					<img src="images/<?php echo $img;?>" width="12" height="12" border="0" alt="<?php echo $alt; ?>" />
					</a>
					</td>
					<?php
				}
				?>
				<td align="center" colspan="2">
				<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" class="text_area" style="text-align: center" />
				</td>
				<td align="center">
				<a href="javascript: void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $task_access;?>')" <?php echo $color_access; ?>>
				<?php echo $row->groupname;?>
				</a>
				</td>
				<td align="center">
				<?php echo $row->id;?>
				</td>
				<td align="center">
				<?php echo $row->links;?>
				</td>
				<td align="left">
				<?php echo $author;?>
				</td>
				<td>
				<?php echo $date; ?>
				</td>
			</tr>
			<?php
			$k = 1 - $k;
		}
		?>
		</table>

		<?php echo $pageNav->getListFooter(); ?>
		<?php mosCommonHTML::ContentLegend(); ?>

		<input type="hidden" name="option" value="<?php echo $option;?>" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="hidemainmenu" value="0" />
		</form>
		<?php
	}

	function edit( &$row, &$images, &$lists, &$params, $option, &$menus ) {
		global $database, $adminLanguage;

		mosMakeHtmlSafe( $row );

		$create_date 	= null;
		$mod_date 		= null;
		$nullDate 		= $database->getNullDate();

		if ( $row->created != $nullDate ) {
			$create_date 	= mosFormatEnglishDate( $row->created, '%A, %d %B %Y %H:%M', '0' );
		}
		if ( $row->modified != $nullDate ) {
			$mod_date 		= mosFormatEnglishDate( $row->modified, '%A, %d %B %Y %H:%M', '0' );
		}

		$tabs = new mosTabs( 1 );
		// used to hide "Reset Hits" when hits = 0
		if ( !$row->hits ) {
			$visibility = "style='display: none; visibility: hidden;'";
		} else {
			$visibility = "";
		}

		mosCommonHTML::loadOverlib();
		mosCommonHTML::loadCalendar();
		?>
		<script language="javascript" type="text/javascript">
		var folderimages = new Array;
		<?php
		$i = 0;
		foreach ($images as $k=>$items) {
			foreach ($items as $v) {
				echo "folderimages[".$i++."] = new Array( '$k','".addslashes( $v->value )."','".addslashes( $v->text )."' );\t";
			}
		}
		?>
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancel') {
				submitform( pressbutton );
				return;
			}

			if ( pressbutton ==' resethits' ) {
				if (confirm('Are you sure you want to reset the Hits to Zero? \nAny unsaved changes to this content will be lost.')){
					submitform( pressbutton );
					return;
				} else {
					return;
				}
			}

			if ( pressbutton == 'menulink' ) {
				if ( form.menuselect.value == "" ) {
					alert( "Please select a Menu" );
					return;
				} else if ( form.link_name.value == "" ) {
					alert( "Please enter a Name for this menu item" );
					return;
				}
			}

			var temp = new Array;
			for (var i=0, n=form.imagelist.options.length; i < n; i++) {
				temp[i] = form.imagelist.options[i].value;
			}
			form.images.value = temp.join( '\n' );

			try {
				document.adminForm.onsubmit();
			}
			catch(e){}
			if (trim(form.title.value) == ""){
				alert( "Content item must have a title" );
			} else if (trim(form.name.value) == ""){
				alert( "Content item must have a name" );
			} else {
				if ( form.reset_hits.checked ) {
					form.hits.value = 0;
				} else {
				}
				<?php getEditorContents( 'editor1', 'introtext' ) ; ?>
				submitform( pressbutton );
			}
		}
		</script>

		<table class="adminheading">
		<tr>
			<th class="edit"><?php echo $adminLanguage->A_COMP_TYPED_ITEM;?>:
			<small>
			<?php echo $row->id ? 'Edit' : 'New';?>			</small>			</th>
		</tr>
		</table>

		<form action="index2.php" method="post" name="adminForm">

		<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td width="60%" valign="top">
				<table class="adminform">
				<tr>
					<th colspan="3"><?php echo $adminLanguage->A_COMP_CONTENT_ITEM_DETAILS;?></th>
				</tr>
				<tr>
					<td align="left"><?php echo $adminLanguage->A_COMP_TITLE;?>:					</td>
					<td>
					<input class="inputbox" type="text" name="title" size="30" maxlength="100" value="<?php echo $row->title; ?>" />
					</td>
				</tr>
				<tr>
					<td align="left"><?php echo $adminLanguage->A_COMP_CONTENT_TITLE_ALIAS;?>:					</td>
					<td>
					<input class="inputbox" type="text" name="title_alias" size="30" maxlength="100" value="<?php echo $row->title_alias; ?>" />
					</td>
				</tr>
				<tr>
					<td valign="top" align="left" colspan="2"><?php echo $adminLanguage->A_COMP_TYPED_TEXT;?><br />
					<?php
					// parameters : areaname, content, hidden field, width, height, rows, cols
					editorArea( 'editor1',  $row->introtext, 'introtext', '100%;', '500', '75', '50' );
					?>
				  </td>
				</tr>
				</table>
			</td>
			<td width="40%" valign="top">
				<?php
				$tabs->startPane("content-pane");
				$tabs->startTab("Publishing","publish-page");
				?>
				<table class="adminform">
				<tr>
					<th colspan="2"><?php echo $adminLanguage->A_COMP_CONT_PUBLISHING;?></th>
				</tr>
				<tr>
					<td valign="top" align="right" width="120"><?php echo $adminLanguage->A_COMP_STATE;?>:					</td>
					<td>
					<?php echo $row->state > 0 ? 'Published' : 'Draft Unpublished'; ?>
					</td>
				</tr>
				<tr>
					<td valign="top" align="right"><?php echo $adminLanguage->A_COMP_PUBLISHED;?>:					</td>
					<td>
					<input type="checkbox" name="published" value="1" <?php echo $row->state ? 'checked="checked"' : ''; ?> />
					</td>
				</tr>
				<tr>
					<td valign="top" align="right"><?php echo $adminLanguage->A_COMP_ACCESS_LEVEL;?>:					</td>
					<td>
					<?php echo $lists['access']; ?>
					</td>
				</tr>
				<tr>
					<td valign="top" align="right"><?php echo $adminLanguage->A_COMP_CONTENT_AUTHOR;?>:					</td>
					<td>
					<input type="text" name="created_by_alias" size="30" maxlength="100" value="<?php echo $row->created_by_alias; ?>" class="inputbox" />
					</td>
				</tr>
				<tr>
					<td valign="top" align="right"><?php echo $adminLanguage->A_COMP_CONTENT_CREATOR;?>:					</td>
					<td>
					<?php echo $lists['created_by']; ?>
					</td>
				</tr>
				<tr>
					<td valign="top" align="right"><?php echo $adminLanguage->A_COMP_CONTENT_OVERRIDE;?></td>
					<td>
					<input class="inputbox" type="text" name="created" id="created" size="25" maxlength="19" value="<?php echo $row->created; ?>" />
					<input name="reset" type="reset" class="button" onClick="return showCalendar('created', 'y-mm-dd');" value="...">
					</td>
				</tr>
				<tr>
					<td align="right"><?php echo $adminLanguage->A_COMP_CONTENT_START_PUB;?>:					</td>
					<td>
					<input class="inputbox" type="text" name="publish_up" id="publish_up" size="25" maxlength="19" value="<?php echo $row->publish_up; ?>" />
					<input type="reset" class="button" value="..." onclick="return showCalendar('publish_up', 'y-mm-dd');">
					</td>
				</tr>
				<tr>
					<td align="right"><?php echo $adminLanguage->A_COMP_CONTENT_FINISH_PUB;?>:					</td>
					<td>
					<input class="inputbox" type="text" name="publish_down" id="publish_down" size="25" maxlength="19" value="<?php echo $row->publish_down; ?>" />
					<input type="reset" class="button" value="..." onclick="return showCalendar('publish_down', 'y-mm-dd');">
					</td>
				</tr>
				</table>
				<br />
				<table class="adminform" width="100%">
				<?php
				if ( $row->id ) {
					?>
					<tr>
						<td>
						<strong><?php echo $adminLanguage->A_COMP_CONTENT_ID;?>:</strong>						</td>
						<td>
						<?php echo $row->id; ?>
						</td>
					</tr>
					<?php
				}
				?>
				<tr>
					<td width="120" valign="top" align="right"><strong><?php echo $adminLanguage->A_COMP_STATE;?></strong></td>
					<td>
					<?php echo $row->state > 0 ? 'Published' : ($row->state < 0 ? 'Archived' : 'Draft Unpublished');?>
					</td>
				</tr>
				<tr>
					<td valign="top" align="right"><strong><?php echo $adminLanguage->A_COMP_HITS;?></strong></td>
					<td>
					<?php echo $row->hits;?>
					<div <?php echo $visibility; ?>>
					  <input name="reset_hits" type="button" class="button" value="<?php echo $adminLanguage->A_COMP_CONTENT_RESET_HIT;?>" onclick="submitbutton('resethits');" />
					</div>
					</td>
				</tr>
				<tr>
					<td valign="top" align="right"><strong><?php echo $adminLanguage->A_COMP_ADMIN_VERSION;?></strong></td>
					<td>
					<?php echo $row->version;?> times
					</td>
				</tr>
				<tr>
					<td valign="top" align="right"><strong><?php echo $adminLanguage->A_CREATED;?></strong></td>
					<td>
						<?php
						if ( !$create_date ) {
							?>
							New document
							<?php
						} else {
							echo $create_date;
						}
						?>
					</td>
				</tr>
				<tr>
					<td valign="top" align="right"><strong><?php echo $adminLanguage->A_COMP_CONTENT_LAST_MOD;?></strong></td>
					<td>
						<?php
						if ( !$mod_date ) {
							?>
							Not modified
							<?php
						} else {
							echo $mod_date;
							?>
							<br />
							<?php
							echo $row->modifier;
						}
						?>
					</td>
				</tr>
				<tr>
					<td valign="top" align="right"><strong><?php echo $adminLanguage->A_COMP_TYPED_EXPIRES;?></strong></td>
					<td>
					<?php echo "$row->publish_down";?>
					</td>
				</tr>
				</table>
				<?php
				$tabs->endTab();
				$tabs->startTab("Images","images-page");
				?>
				<table class="adminform">
				<tr>
					<th colspan="2"><?php echo $adminLanguage->A_COMP_CONTENT_MOSIMAGE;?></th>
				</tr>
				<tr>
				  <td colspan="2">
						<table width="100%">
						<tr>
							<td width="48%" valign="top">
								<div align="center"><?php echo $adminLanguage->A_COMP_CONTENT_GALLERY;?>:
									<br />
									<?php echo $lists['imagefiles'];?>
							  </div>
							</td>
							<td width="2%"><input name="button4" type="button" class="button" onclick="addSelectedToList('adminForm','imagefiles','imagelist')" value="<?php echo $adminLanguage->A_COMP_ADD;?>" />
<br/>
<input name="button5" type="button" class="button" onclick="delSelectedFromList('adminForm','imagelist')" value="<?php echo $adminLanguage->A_COMP_CONTENT_REMOVE;?>" /></td>
							<td width="48%">
								<div align="center"><?php echo $adminLanguage->A_COMP_CONTENT_IMAGES;?>:
									<br />
									<?php echo $lists['imagelist'];?>
									<br />
									<input name="button2" type="button" class="button" onclick="moveInList('adminForm','imagelist',adminForm.imagelist.selectedIndex,-1)" value="<?php echo $adminLanguage->A_COMP_CONTENT_UP;?>" />
									<input name="button3" type="button" class="button" onclick="moveInList('adminForm','imagelist',adminForm.imagelist.selectedIndex,+1)" value="<?php echo $adminLanguage->A_COMP_CONTENT_DOWN;?>" />
								</div>
							</td>
						</tr>
						</table>
					<?php echo $adminLanguage->A_COMP_CONTENT_SUB_FOLDER;?>: <?php echo $lists['folders'];?>					</td>
				</tr>
				<tr valign="top">
					<td>
						<div align="center"><?php echo $adminLanguage->A_COMP_CONTENT_SAM_IMG;?>:<br/>
							<img name="view_imagefiles" src="../images/M_images/blank.png" width="100" />
					  </div>
					</td>
					<td valign="top">
						<div align="center"><?php echo $adminLanguage->A_COMP_CONTENT_ACT_IMG;?>:<br/>
							<img name="view_imagelist" src="../images/M_images/blank.png" width="100" />
					  </div>
					</td>
				</tr>
				<tr>
					<td><?php echo $adminLanguage->A_COMP_CONTENT_EDIT_IMAGE;?>:
						<table>
						<tr>
							<td align="right"><?php echo $adminLanguage->A_COMP_SOURCE;?></td>
							<td>
							<input type="text" name= "_source" value="" />							</td>
						</tr>
						<tr>
							<td align="right"><?php echo $adminLanguage->A_COMP_CONTENT_ALIGN;?></td>
							<td>
							<?php echo $lists['_align']; ?>							</td>
						</tr>
						<tr>
							<td align="right"><?php echo $adminLanguage->A_COMP_CONTENT_ALT;?></td>
							<td>
							<input type="text" name="_alt" value="" />							</td>
						</tr>
						<tr>
							<td align="right"><?php echo $adminLanguage->A_COMP_CONTENT_BORDER;?></td>
							<td>
							<input type="text" name="_border" value="" size="3" maxlength="1" />							</td>
						</tr>
						<tr>
							<td align="right"><?php echo $adminLanguage->A_COMP_CONTENT_IMG_CAPTION;?>:							</td>
							<td>
							<input class="text_area" type="text" name="_caption" value="" size="30" />							</td>
						</tr>
						<tr>
							<td align="right"><?php echo $adminLanguage->A_COMP_CONTENT_IMG_CAPTION_POS;?>:							</td>
							<td>
							<?php echo $lists['_caption_position']; ?>							</td>
						</tr>
						<tr>
							<td align="right"><?php echo $adminLanguage->A_COMP_CONTENT_IMG_CAPTION_ALIGN;?>:							</td>
							<td>
							<?php echo $lists['_caption_align']; ?>							</td>
						</tr>
						<tr>
							<td align="right"><?php echo $adminLanguage->A_COMP_CONTENT_IMG_WIDTH;?>:							</td>
							<td>
							<input class="text_area" type="text" name="_width" value="" size="5" maxlength="5" />							</td>
						</tr>
						<tr>
							<td colspan="2"><input name="button" type="button" class="button" onclick="applyImageProps()" value="<?php echo $adminLanguage->A_COMP_CONTENT_APPLY;?>" /></td>
						</tr>
						</table>
				  </td>
				</tr>
				</table>
				<?php
				$tabs->endTab();
				$tabs->startTab("Parameters","params-page");
				?>
				<table class="adminform">
				<tr>
					<th colspan="2"><?php echo $adminLanguage->A_COMP_CONTENT_PARAM;?></th>
				</tr>
				<tr>
					<td>
					<?php echo $params->render();?>
					</td>
				</tr>
				</table>
				<?php
				$tabs->endTab();
				$tabs->startTab("Meta Info","metadata-page");
				?>
				<table class="adminform">
				<tr>
					<th colspan="2"><?php echo $adminLanguage->A_COMP_CONTENT_META_DATA;?></th>
				</tr>
				<tr>
					<td align="left"><?php echo $adminLanguage->A_COMP_DESCRIPTION;?></td>
				</tr>
				<tr>
					<td align="left"><?php echo $adminLanguage->A_COMP_CONTENT_KEYWORDS;?>:<br />
					<textarea class="inputbox" cols="40" rows="5" name="metakey" style="width:300px"><?php echo str_replace('&','&amp;',$row->metakey); ?></textarea>
				  </td>
				</tr>
				</table>
				<?php
				$tabs->endTab();
				$tabs->startTab("Link to Menu","link-page");
				?>
				<table class="adminform">
				<tr>
					<th colspan="2"><?php echo $adminLanguage->A_COMP_LINK_TO_MENU;?></th>
				</tr>
				<tr>
					<td colspan="2"><?php echo $adminLanguage->A_COMP_TYPED_WILL;?></td>
				</tr>
				<tr>
					<td valign="top" width="90px"><?php echo $adminLanguage->A_COMP_SELECT_MENU;?></td>
					<td>
					<?php echo $lists['menuselect']; ?>					</td>
				</tr>
				<tr>
					<td valign="top" width="90px"><?php echo $adminLanguage->A_COMP_MENU_NAME;?></td>
					<td>
					<input type="text" name="link_name" class="inputbox" value="" size="30" />					</td>
				</tr>
				<tr>
					<td>					</td>
					<td><input name="menu_link" type="button" class="button" value="<?php echo $adminLanguage->A_COMP_LINK_TO_MENU;?>" onclick="submitbutton('menulink');" /></td>
				</tr>
				<tr>
					<th colspan="2"><?php echo $adminLanguage->A_COMP_MENU_LINKS;?></th>
				</tr>
				<?php
				if ( $menus == NULL ) {
					?>
					<tr>
						<td colspan="2"><?php echo $adminLanguage->A_COMP_NONE;?></td>
					</tr>
					<?php
				} else {
					mosCommonHTML::menuLinksContent( $menus );
				}
				?>
				<tr>
					<td colspan="2">					</td>
				</tr>
				</table>
				<?php
				$tabs->endTab();
				$tabs->endPane();
				?>
			</td>
		</tr>
		</table>

		<input type="hidden" name="images" value="" />
		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="hits" value="<?php echo $row->hits; ?>" />
		<input type="hidden" name="task" value="" />
		</form>
		<?php
	}
}
?>