<?php
/**
* @version $Id: registration.php 4572 2006-08-19 16:39:43Z friesengeist $
* @package Mitra
* @Mitra is a fork for joomla open source content management system
* @copyright Copyleft (C) 2006 CMS Club team. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* Mitra is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

global $mosConfig_frontend_login;

require_once( $mainframe->getPath( 'front_html' ) );

if ( $mosConfig_frontend_login != NULL && ($mosConfig_frontend_login === 0 || $mosConfig_frontend_login === '0')) {
	echo _NOT_AUTH;
	return;
}

switch( $task ) {
	case 'lostPassword':
		lostPassForm( $option );
		break;

	case 'sendNewPass':
		sendNewPass( $option );
		break;

	case 'register':
		registerForm( $option, $mosConfig_useractivation );
		break;

	case 'saveRegistration':
		saveRegistration();
		break;

	case 'activate':
		activate( $option );
		break;

	case 'AdministratorActivate':
	 	AdministratorActivate( $option );
 		break;
}

function lostPassForm( $option ) {
	global $mainframe;

	$mainframe->SetPageTitle(_PROMPT_PASSWORD);

	HTML_registration::lostPassForm($option);
}

function sendNewPass( $option ) {
	global $database;
	global $mosConfig_live_site, $mosConfig_sitename;
	global $mosConfig_mailfrom, $mosConfig_fromname;

	// simple spoof check security
	mosSpoofCheck();	
	
	$_live_site = $mosConfig_live_site;
	$_sitename 	= $mosConfig_sitename;

	// ensure no malicous sql gets past
	$checkusername	= mosGetParam( $_POST, 'checkusername', '' );
	$checkusername	= $database->getEscaped( $checkusername );
	$confirmEmail	= mosGetParam( $_POST, 'confirmEmail', '');
	$confirmEmail	= $database->getEscaped( $confirmEmail );

	$query = "SELECT id"
	. "\n FROM #__users"
	. "\n WHERE username = '$checkusername'"
	. "\n AND email = '$confirmEmail'"
	;
	$database->setQuery( $query );
	if (!($user_id = $database->loadResult()) || !$checkusername || !$confirmEmail) {
		mosRedirect( "index.php?option=$option&task=lostPassword&mosmsg="._ERROR_PASS );
	}

	$newpass = mosMakePassword();
	$message = _NEWPASS_MSG;
	eval ("\$message = \"$message\";");
	$subject = _NEWPASS_SUB;
	eval ("\$subject = \"$subject\";");

	mosMail($mosConfig_mailfrom, $mosConfig_fromname, $confirmEmail, $subject, $message);

	$newpass = md5( $newpass );
	$sql = "UPDATE #__users"
	. "\n SET password = '$newpass'"
	. "\n WHERE id = $user_id"
	;
	$database->setQuery( $sql );
	if (!$database->query()) {
		die("SQL error" . $database->stderr(true));
	}

	mosRedirect( 'index.php?option=com_registration&mosmsg='. _NEWPASS_SENT );
}

function registerForm( $option, $useractivation ) {
	global $mainframe;

	if (!$mainframe->getCfg( 'allowUserRegistration' )) {
		mosNotAuth();
		return;
	}

  	$mainframe->SetPageTitle(_REGISTER_TITLE);

	HTML_registration::registerForm($option, $useractivation);
}

function saveRegistration() {
	global $database, $acl, $mosConfig_sitename, $mosConfig_live_site, $mosConfig_useractivation;
        global $mosConfig_requireAdministratorActivation, $mosConfig_allowUserRegistration, $mosConfig_mailfrom, $mosConfig_fromname;
	$combined_activation = 0;

	if ( $mosConfig_allowUserRegistration == 0 ) {
		mosNotAuth();
		return;
	}

	// simple spoof check security
	mosSpoofCheck();	
	
	$row = new mosUser( $database );

	if (!$row->bind( $_POST, 'usertype' )) {
		mosErrorAlert( $row->getError() );
	}

	mosMakeHtmlSafe($row);

	$row->id 		= 0;
	$row->usertype 	= '';
	$row->gid 		= $acl->get_group_id( 'Registered', 'ARO' );

	if ( $mosConfig_useractivation == 1 ) {
		$row->activation = md5( mosMakePassword() );
		$row->block = '1';
	}
       if ($mosConfig_requireAdministratorActivation == 1) {
		$row->AdministratorActivation = md5( mosMakePassword() );
		$row->block = "1";
	}
	if (!$row->check()) {
		echo "<script> alert('".html_entity_decode($row->getError())."'); window.history.go(-1); </script>\n";
		exit();
	}

	$pwd 				= $row->password;
	$row->password 		= md5( $row->password );
	$row->registerDate 	= date( 'Y-m-d H:i:s' );

	if (!$row->store()) {
		echo "<script> alert('".html_entity_decode($row->getError())."'); window.history.go(-1); </script>\n";
		exit();
	}
	$row->checkin();

	$name 		= $row->name;
	$email 		= $row->email;
	$username 	= $row->username;

	$userdetails    = _REGISTER_COMPANY . "\t" . $row->company . "\n";
	$userdetails    .= _REGISTER_NAME . "\t" . $row->name . "\n";
	$userdetails    .= _REGISTER_ADDRESS . "\t" . $row->address . "\n";
	$userdetails    .= _REGISTER_ZIPCODE . "\t" . $row->zipcode . ' ' . _REGISTER_CITY . "\t" . $row->city . "\n";
	$userdetails    .= _REGISTER_PHONE . "\t" . $row->phone . "\n";
	$userdetails    .= _REGISTER_UNAME . "\t" . $row->username . "\n";
	$userdetails    .= _REGISTER_EMAIL . "\t" . $row->email . "\n";
	$subject 	= sprintf (_SEND_SUB, $name, $mosConfig_sitename);
	$subject 	= html_entity_decode($subject, ENT_QUOTES);
	
        if ($mosConfig_requireAdministratorActivation == 1 && $mosConfig_useractivation == 1){
           $combined_activation = 1;
           $message = sprintf (_USEND_MSG_ACTIVATE_COMBINED, $name, $mosConfig_sitename, $mosConfig_live_site."/index.php?option=com_registration&task=activate&activation=".$row->activation, $mosConfig_live_site, $username, $pwd);
         } else if ($mosConfig_requireAdministratorActivation == 1){
           $message = sprintf (_USEND_MSG_ACTIVATE_BYADMINISTRATOR, $name, $mosConfig_sitename, $mosConfig_live_site, $username, $pwd);
         } else if ($mosConfig_useractivation == 1){
		$message = sprintf (_USEND_MSG_ACTIVATE, $name, $mosConfig_sitename, $mosConfig_live_site."/index.php?option=com_registration&task=activate&activation=".$row->activation, $mosConfig_live_site, $username, $pwd);
	} else {
		$message = sprintf (_USEND_MSG, $name, $mosConfig_sitename, $mosConfig_live_site);
	}

	$message = html_entity_decode($message, ENT_QUOTES);
	
         list ($adminName, $adminEmail) = admin_contact();
	 mosMail($adminEmail, $adminName, $email, $subject, $message);
	 
	/* Send notification to all administrators
           but only if there is administrator and useractivation enabled
           because then the E-mail is sent out if the user has completed the
           registration confirmation
        */
        if ($combined_activation == 0)
           {
	    $subject2 = sprintf (_SEND_SUB_ACTIVATE_BYADMINISTRATOR, $name, $mosConfig_sitename);
            if ($mosConfig_requireAdministratorActivation == 1) {
                        $message2 = sprintf (_ASEND_MSG_ACTIVATE_BYADMINISTRATOR, $adminName, $mosConfig_sitename, $userdetails, $mosConfig_live_site."/index.php?option=com_registration&task=AdministratorActivate&AdministratorActivation=".$row->AdministratorActivation );
            } else {
                        $message2 = sprintf (_ASEND_MSG, $adminName, $mosConfig_sitename, $userdetails);
            }
	    $subject2 = html_entity_decode($subject2, ENT_QUOTES);
	    $message2 = html_entity_decode($message2, ENT_QUOTES);
            admin_sendEmail($email,$name,$subject2,$message2);
        }
        if ( $combined_activation == 1) {
            echo _REG_COMPLETE_ACTIVATE_BYUSER;
        } else if ( $mosConfig_requireAdministratorActivation == 1) {
            echo _REG_COMPLETE_ACTIVATE_BYADMINISTRATOR;
        } else if ( $mosConfig_useractivation == 1 ){	
		echo _REG_COMPLETE_ACTIVATE;
	} else {
		echo _REG_COMPLETE;
	}

}

function activate( $option ) {
         global $database, $my, $mosConfig_useractivation, $mosConfig_allowUserRegistration, $mosConfig_requireAdministratorActivation, $mosConfig_live_site, $mosConfig_sitename;

	if($my->id) {
		// They're already logged in, so redirect them to the home page
		mosRedirect( 'index.php' );
	}
		

	if ($mosConfig_allowUserRegistration == '0' || $mosConfig_useractivation == '0') {
		mosNotAuth();
		return;
	}

	$activation = mosGetParam( $_REQUEST, 'activation', '' );
	$activation = $database->getEscaped( $activation );

	if (empty( $activation )) {
		echo _REG_ACTIVATE_NOT_FOUND;
		return;
	}

	$database->setQuery( "SELECT * FROM #__users"
 	                    ."\n WHERE activation='$activation' AND block='1'" );
	$rows = $database->loadObjectList();
	if ($rows[0]->id) {
                if ($mosConfig_requireAdministratorActivation == 1) {
                    $email = $rows[0]->email;
                    $name = $rows[0]->name;
                    $username = $rows[0]->username;
                    $userdetails  = _REGISTER_COMPANY . "\t" . $rows[0]->company . "\n";
                    $userdetails .= _REGISTER_NAME . "\t" . $rows[0]->name . "\n";
                    $userdetails .= _REGISTER_ADDRESS . "\t" . $rows[0]->address . "\n";
	            $userdetails .= _REGISTER_ZIPCODE . "\t" . $rows[0]->zipcode . ' ' . _REGISTER_CITY . "\t" . $rows[0]->city . "\n";
                    $userdetails .= _REGISTER_PHONE . "\t" . $rows[0]->phone . "\n";
                    $userdetails .= _REGISTER_UNAME . "\t" . $rows[0]->username . "\n";
                    $userdetails .= _REGISTER_EMAIL . "\t" . $rows[0]->email . "\n";
                    mosMakeHtmlSafe($rows[0]->AdministratorActivation);
                    $url = $mosConfig_live_site . "/index.php?option=com_registration&task=AdministratorActivate&AdministratorActivation=" . $rows[0]->AdministratorActivation;
                    $database->setQuery( "UPDATE #__users SET activation='' WHERE activation='$activation' AND block='1'" );
                    $subject = sprintf (_SEND_SUB_ACTIVATE_BYADMINISTRATOR, $name, $mosConfig_sitename);
                    $message = sprintf (_ASEND_MSG_ACTIVATE_BYADMINISTRATOR, $mosConfig_sitename, $mosConfig_live_site, $userdetails, $url);
                } 
                else {
                       $database->setQuery( "UPDATE #__users SET block='0', activation='' WHERE activation='$activation' AND block='1'" );
                }
		if (!$database->query()) {
			echo "SQL error" . $database->stderr(true);
		}
                if ($mosConfig_requireAdministratorActivation == 1) {
                    admin_sendEmail($email,$name,$subject,$message);
                    echo _REG_ACTIVATE_COMPLETE_BYUSER;
                 } 
                 else 
                    {
                     echo _REG_ACTIVATE_COMPLETE;
                    }      
	  } 
        else {
		echo _REG_ACTIVATE_NOT_FOUND;
	}
}

function AdministratorActivate( $option ) {
	global $database, $mosConfig_live_site, $mosConfig_allowUserRegistration, $mosConfig_useractivation;

	if ($mosConfig_allowUserRegistration == 0 || $mosConfig_useractivation == 0) {
		mosNotAuth();
		return;
	}

	$AdministratorActivation = mosGetParam( $_REQUEST, 'AdministratorActivation', '' );
	$AdministratorActivation = $database->getEscaped( $AdministratorActivation );

	if (empty( $AdministratorActivation )) {
               echo _REG_ACTIVATE_NOT_FOUND;
               return;
	}

	$database->setQuery( "SELECT id,name,email FROM #__users"
	."\n WHERE AdministratorActivation='$AdministratorActivation' AND block='1'" );
	$rows = $database->loadObjectList();

	if ($rows[0]->id) {
                $email = $rows[0]->email;
                $name = $rows[0]->name;
		$database->setQuery( "UPDATE #__users SET block='0', AdministratorActivation='' WHERE AdministratorActivation='$AdministratorActivation' AND block='1'" );
                if (!$database->query()) {
 			echo "SQL error" . $database->stderr(true);
 	          }
                $subject = _SEND_SUB_ACTIVATE_COMPLETE;
		$message = sprintf (_USEND_MSG_ACTIVATE_COMPLETE, $name, $mosConfig_live_site);
                list ($adminName, $adminEmail) = admin_contact();
                mosMail($adminEmail, $adminName, $email, $subject, $message);
                echo _REG_ACTIVATE_COMPLETE;
          }	
	  else {
 		echo _REG_ACTIVATE_NOT_FOUND;
 	    }
}

function admin_contact() {
         global $mosConfig_mailfrom, $mosConfig_fromname;
         if ($mosConfig_mailfrom != "" && $mosConfig_fromname != "") {
             $adminName = $mosConfig_fromname;
	     $adminEmail = $mosConfig_mailfrom;
	} else {
	       $database->setQuery( "SELECT name, email FROM #__users"
	                           ."\n WHERE usertype='superadministrator'" );
	       $row = $database->loadObjectList();
               $row2 = $row[0];
	       $adminName = $row2->name;
	       $adminEmail = $row2->email;
	  } 
        return array ($adminName, $adminEmail);
}

function admin_sendEmail($sender_email,$sender_name,$subject,$message) {
           global $database, $acl;
           // get superadministrators id
	   $admins = $acl->get_group_objects( 25, 'ARO' );
           foreach ( $admins['users'] AS $id ) {
		   $database->setQuery( "SELECT email, sendEmail FROM #__users"
	 		 ."\n WHERE id='$id'" );
		   $rows = $database->loadObjectList();

		   $row = $rows[0];

		   if ($row->sendEmail) {
			mosMail($sender_email, $sender_name, $row->email, $subject, $message);
		    }
	    }
           
}
?>
