<?php
/**
* @version $Id: arabic_date.php 2526 2006-02-22 15:33:24Z stingrey $
* @package Mitra
* @copyright CMS Club team
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* Mitra is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

/*
Qamari Date Powered By Alireza Balvardi a.balvardi@gmail.com
    /////////   //\\           ////      /\\      //\\        ////////        //////
   //     //   //  \\         // //     // \\     //  \\       //     //       //
  //     //   //    \\       //   //   //  \\    //    \\     ///////         //
 //   /////  /////\\\\\     //     /////   \\   ///\\\\\\\   //  \\          //
/////////// //        \\   //      ////    \\  //        \\ //    \\\\    //////

    ///////      //\\         //////   //////// 
   //     //    //  \\         //     //
  //     //    //    \\       //     ///////
 //     //    /////\\\\\     //     //
////////     //        \\   //     /////////  

*/


/* Module:	ArabicTools class
   Version:	1.0  (alpha)
   Creation:	29-05-2003
   Author:	Alireza Balvardi
   License:	Free 
   Homepage:	http://www.mitra.ir   
   Public methods:
   		arabicDate($format, $timestamp)  
		 - returns date/time in $format after converting $timestamp    
		gregorian_to_arabic(($year, $month, $day)
		- returns date/time converted from Georgian to Qamari(Arabic)
   Updates:
			   		
*/
function qdate($type,$maket="now")
{
	//set 1 if you want translate number to arabic or if you don't like set 0
	$transnumber=1;
	///chosse your timezone
	$TZhours=0;
	$TZminute=0;

	if($maket=="now"){
		$year=date("Y");
		$month=date("m");
		$day=date("d");
		list( $jyear, $jmonth, $jday ) = gregorian_to_arabic($year, $month, $day);
		$maket=jmaketime(date("h")+$TZhours,date("i")+$TZminute,date("s"),$jmonth,$jday,$jyear);
	}else{
		$maket+=$TZhours*3600+$TZminute*60;
		$date=date("Y-m-d",$maket);
		list( $year, $month, $day ) = preg_split ( '/-/', $date );

		list( $jyear, $jmonth, $jday ) = gregorian_to_arabic($year, $month, $day);
		}

	$need= $maket;
	$year=date("Y",$need);
	$month=date("m",$need);
	$day=date("d",$need);
	$i=0;
	$result = "";
	$result1 = "";
	while($i<strlen($type))
	{
		$subtype=substr($type,$i,1);
		switch ($subtype)
		{

			case "A":
				$result1=date("a",$need);
				if($result1=="pm") $result.= "بعدازظهر";
				else $result.="قبل ‏ازظهر";
				break;

			case "a":
				$result1=date("a",$need);
				if($result1=="pm") $result.= "م";
				else $result.="ص";
				break;
			case "d":
				list( $jyear, $jmonth, $jday ) = gregorian_to_arabic($year, $month, $day);
				if($jday<10)$result1="0".$jday;
				else 	$result1=$jday;
				if($transnumber==1) $result.=Convertnumber2arabic($result1);
				else $result.=$result1;
				break;
			case "D":
				$result1=date("D",$need);
				if($result1=="Thu") $result1="خم";
				else if($result1=="Sat") $result1="سب";
				else if($result1=="Sun") $result1="أح";
				else if($result1=="Mon") $result1="أث";
				else if($result1=="Tue") $result1="ثل";
				else if($result1=="Wed") $result1="أر";
				else if($result1=="Thu") $result1="خم";
				else if($result1=="Fri") $result1="جم";
				$result.=$result1;
				break;
			case"F":
				list( $jyear, $jmonth, $jday ) = gregorian_to_arabic($year, $month, $day);
				$result.=monthname2($jmonth);
				break;
			case "g":
				$result1=date("g",$need);
				if($transnumber==1) $result.=Convertnumber2arabic($result1);
				else $result.=$result1;
				break;
			case "G":
				$result1=date("G",$need);
				if($transnumber==1) $result.=Convertnumber2arabic($result1);
				else $result.=$result1;
				break;
				case "h":
				$result1=date("h",$need);
				if($transnumber==1) $result.=Convertnumber2arabic($result1);
				else $result.=$result1;
				break;
			case "H":
				$result1=date("H",$need);
				if($transnumber==1) $result.=Convertnumber2arabic($result1);
				else $result.=$result1;
				break;
			case "i":
				$result1=date("i",$need);
				if($transnumber==1) $result.=Convertnumber2arabic($result1);
				else $result.=$result1;
				break;
			case "j":
				list( $jyear, $jmonth, $jday ) = gregorian_to_arabic($year, $month, $day);
				$result1=$jday;
				if($transnumber==1) $result.=Convertnumber2arabic($result1);
				else $result.=$result1;
				break;
			case "l":
				$result1=date("l",$need);
				if($result1=="Saturday") $result1="السَّبْت";
				else if($result1=="Sunday") $result1="الأحَد";
				else if($result1=="Monday") $result1="الإثْنَيْن";
				else if($result1=="Tuesday") $result1="الثُّلاثَاء";
				else if($result1=="Wednesday") $result1="الأرْبِعَاء";
				else if($result1=="Thursday") $result1="الْخَمِيس";
				else if($result1=="Friday") $result1="الْجُمْعَة";
				$result.=$result1;
				break;
			case "m":
				list( $jyear, $jmonth, $jday ) = gregorian_to_arabic($year, $month, $day);
				if($jmonth<10) $result1="0".$jmonth;
				else	$result1=$jmonth;
				if($transnumber==1) $result.=Convertnumber2arabic($result1);
				else $result.=$result1;
				break;
			case "M":
				list( $jyear, $jmonth, $jday ) = gregorian_to_arabic($year, $month, $day);
				$result.=monthname2($jmonth);
				break;
			case "n":
				list( $jyear, $jmonth, $jday ) = gregorian_to_arabic($year, $month, $day);	
				$result1=$jmonth;
				if($transnumber==1) $result.=Convertnumber2arabic($result1);
				else $result.=$result1;
				break;
			case "s":
				$result1=date("s",$need);
				if($transnumber==1) $result.=Convertnumber2arabic($result1);
				else $result.=$result1;
				break;
			case "S":
				$result.="??";
				break;
			case "t":
				$result.=lastday ($month,$day,$year);
				break;
			case "w":
				$result1=date("w",$need);
				if($transnumber==1) $result.=Convertnumber2arabic($result1);
				else $result.=$result1;
				break;
			case "y":
				list( $jyear, $jmonth, $jday ) = gregorian_to_arabic($year, $month, $day);	
				$result1=substr($jyear,2,4);
				if($transnumber==1) $result.=Convertnumber2arabic($result1);
				else $result.=$result1;
				break;
			case "Y":
				list( $jyear, $jmonth, $jday ) = gregorian_to_arabic($year, $month, $day);
				$result1=$jyear;
				if($transnumber==1) $result.=Convertnumber2arabic($result1);
				else $result.=$result1;
				break;		
			default:
				$result.=$subtype;
		}
	$i++;
	}
	return $result;
}

function monthname2($month)
{

    if($month=="01") return "مُحَرَّم";
    if($month=="02") return "صَفَر";
    if($month=="03") return "رَبِيع الأوَّل";
    if($month=="04") return  "رَبِيع الثَّاني";
    if($month=="05") return "جَمَاد الأوَّل";
    if($month=="06") return "جَمَاد الثَّاني";
    if($month=="07") return "رَجَب";
    if($month=="08") return "شَعْبَان";
    if($month=="09") return "رَمَضَان";
    if($month=="10") return "شَوَّال";
    if($month=="11") return "ذُو الْقِعْدَة";
    if($month=="12") return "ذُو الْحِجَّة";
}

function gregorian_to_arabic($year, $month, $day) 
{
if (($year>1582)||(($year==1582)&&($month>10))||(($year==1582)&&($month==10)&&($day>14))) {
$jd=intPart((1461*($year+4800+intPart(($month-14)/12)))/4)+intPart((367*($month-2-12*(intPart(($month-14)/12))))/12)- intPart( (3* (intPart( ($year+4900+ intPart( ($month-14)/12) )/100) ) ) /4)+$day-32075 ;
} else {
$jd = 367*$year-intPart((7*($year+5001+intPart(($month-9)/7)))/4)+intPart((275*$month)/9)+$day+1729777 ;
}
$l=$jd-1948440+10632;
$n=intPart(($l-1)/10631);
$l=$l-(10631*$n)+354;
$j=(intPart((10985-$l)/5316))*(intPart((50*$l)/17719))+(intPart($l/5670))*(intPart((43*$l)/15238));
$l=$l-(intPart((30-$j)/15))*(intPart((17719*$j)/50))-(intPart($j/16))*(intPart((15238*$j)/43))+29;
$month=intPart((24*$l)/709);
$day=$l-intPart((709*$month)/24);
$year=30*$n+$j-30;
   return array($year, $month, $day); 
}

function Convertnumber2arabic($srting) 
{
	$num0="0";
	$num1="1";
	$num2="2";
	$num3="3";
	$num4="4";
	$num5="5";
	$num6="6";
	$num7="7";
	$num8="8";
	$num9="9";
	
	$stringtemp="";
	$len=strlen($srting);
	for($sub=0;$sub<$len;$sub++)
	{
	 if(substr($srting,$sub,1)=="0")$stringtemp.=$num0;
	 elseif(substr($srting,$sub,1)=="1")$stringtemp.=$num1;
	 elseif(substr($srting,$sub,1)=="2")$stringtemp.=$num2;
	 elseif(substr($srting,$sub,1)=="3")$stringtemp.=$num3;
	 elseif(substr($srting,$sub,1)=="4")$stringtemp.=$num4;
	 elseif(substr($srting,$sub,1)=="5")$stringtemp.=$num5;
	 elseif(substr($srting,$sub,1)=="6")$stringtemp.=$num6;
	 elseif(substr($srting,$sub,1)=="7")$stringtemp.=$num7;
	 elseif(substr($srting,$sub,1)=="8")$stringtemp.=$num8;
	 elseif(substr($srting,$sub,1)=="9")$stringtemp.=$num9;
	 else $stringtemp.=substr($srting,$sub,1);

	}
return   $stringtemp;

}///end conver to number in persian

	function intPart( $floatNum)
	{
		if ( $floatNum< -0.0000001)
				return ceil( $floatNum-0.0000001);
		else
				return floor( $floatNum+0.0000001); 
	}
?>
<?php function mosFormatDate( $date, $format="", $offset=NULL ){
	global $mosConfig_offset;
	if ( $format == '' ) {
		// %Y-%m-%d %H:%M:%S
		$format = "d M Y , H:i";
	}
	if ( $date && ereg( "([0-9]{4})-([0-9]{2})-([0-9]{2})[ ]([0-9]{2}):([0-9]{2}):([0-9]{2})", $date, $regs ) ) {
		$date = mktime( $regs[4], $regs[5], $regs[6], $regs[2], $regs[3], $regs[1] );
		$date = $date > -1 ? qdate( $format, $date + ($mosConfig_offset*3600) ) : '-';
	}
	return $date;
}
/**
* string date in datetime format for admin content manager
*/
function mosFormatEnglishDate( $date, $format="", $offset=NULL ){
	global $mosConfig_offset;
	if ( $format == '' ) {
		// %Y-%m-%d %H:%M:%S
		$format = _DATE_FORMAT_LC;
	}
	if ( is_null($offset) ) {
		$offset = $mosConfig_offset;
	}
	if ( $date && ereg( "([0-9]{4})-([0-9]{2})-([0-9]{2})[ ]([0-9]{2}):([0-9]{2}):([0-9]{2})", $date, $regs ) ) {
		$date = mktime( $regs[4], $regs[5], $regs[6], $regs[2], $regs[3], $regs[1] );
		$date = $date > -1 ? strftime( $format, $date + ($offset*60*60) ) : '-';
	}
	return $date;
}
/**
* Returns current date according to current local and time offset
* @param string format optional format for strftime
* @returns current date
*/
function mosCurrentDate( $format="" ) {
	global $mosConfig_offset;
	if ($format=="") {
		$format = _DATE_FORMAT_LC;
	}
	$date = date( $format, time() + ($mosConfig_offset*3600) );
	return $date;
}
?>